[ Maverik Level 1 functions ]

#

mav_paletteLightSet

## Summary

Define a light.

## Syntax

void mav_paletteLightSet(MAV_palette *p, int index, float ar, float ag, float ab, float aa, float dr, float dg, float db, float da, float sr, float sg, float sb, float sa);

- MAV_palette *p
  Palette to set.

- int index
  Index into lights table, in range 0..`mav_opt_maxLights` (default 5).

- float ar, float ag, float ab, float aa
  RGBA components of ambient colour (0.0 - 1.0)

- float dr, float dg, float db, float da
  RGBA components of diffuse colour (0.0 - 1.0)

- float sr, float sg, float sb, float sa
  RGBA components of specular colour (0.0 - 1.0)

## Description

This function sets the colour specification of the light at entry `index` in the light table of palette `p`.

Back to the index page.